Index: src/boundcond_domainfill_mpi.f90
===================================================================
--- src/boundcond_domainfill_mpi.f90	(revision 7999df4745f1e95cb99454974f5e8f025f991669)
+++ src/boundcond_domainfill_mpi.f90	(revision 0f7835d03c332f5ff00577f23b0a0d791e42b9dc)
@@ -232,5 +232,5 @@
 
         do m=1,mmass
-          do ipart=minpart,maxpart
+          do ipart=minpart,maxpart_mpi
 
   ! If a vacant storage space is found, attribute everything to this array element
@@ -331,5 +331,5 @@
             endif
           end do
-          if (ipart.gt.maxpart) &
+          if (ipart.gt.maxpart_mpi) &
                stop 'boundcond_domainfill.f: too many particles required'
 73        minpart=ipart+1
@@ -464,5 +464,5 @@
 
         do m=1,mmass
-          do ipart=minpart,maxpart
+          do ipart=minpart,maxpart_mpi
 
   ! If a vacant storage space is found, attribute everything to this array element
@@ -562,5 +562,5 @@
             endif
           end do
-          if (ipart.gt.maxpart) &
+          if (ipart.gt.maxpart_mpi) &
                stop 'boundcond_domainfill.f: too many particles required'
 173       minpart=ipart+1
Index: src/init_domainfill_mpi.f90
===================================================================
--- src/init_domainfill_mpi.f90	(revision 7999df4745f1e95cb99454974f5e8f025f991669)
+++ src/init_domainfill_mpi.f90	(revision 0f7835d03c332f5ff00577f23b0a0d791e42b9dc)
@@ -305,10 +305,10 @@
 
 
-! Check whether numpart is really smaller than maxpart
-!*****************************************************
-
-  if (numpart.gt.maxpart) then
+! Check whether numpart is really smaller than maxpart per process
+!*****************************************************************
+
+  if (numpart.gt.maxpart_mpi) then
     write(*,*) 'numpart too large: change source in init_atm_mass.f'
-    write(*,*) 'numpart: ',numpart,' maxpart: ',maxpart
+    write(*,*) 'numpart: ',numpart,' maxpart: ',maxpart_mpi
   endif
 
Index: src/mpi_mod.f90
===================================================================
--- src/mpi_mod.f90	(revision 79abee91596b840b8be5c7b61935df1d168db264)
+++ src/mpi_mod.f90	(revision 0f7835d03c332f5ff00577f23b0a0d791e42b9dc)
@@ -2444,78 +2444,3 @@
     end subroutine write_data_dbg
 
-
-  subroutine set_fields_synthetic()
-!*******************************************************************************
-! DESCRIPTION
-!   Set all meteorological fields to synthetic (usually constant/homogeneous)
-!   values.
-!   Used for validation and error-checking
-!
-! NOTE
-!   This version uses asynchronious communications.
-!
-! VARIABLES
-!   
-!
-!
-!*******************************************************************************
-    use com_mod
-
-    implicit none
-
-    integer :: li=1, ui=2 ! wfmem indices (i.e, operate on entire field)
-
-    if (.not.lmp_sync) ui=3
-
-
-! Variables transferred at initialization only
-!*********************************************
-!    readclouds=readclouds_
-    oro(:,:)=0.0
-    excessoro(:,:)=0.0
-    lsm(:,:)=0.0
-    xlanduse(:,:,:)=0.0
-!    wftime
-!    numbwf
-!    nmixz
-!    height
-
-! Time-varying fields:
-    uu(:,:,:,li:ui) = 10.0
-    vv(:,:,:,li:ui) = 0.0
-    uupol(:,:,:,li:ui) = 10.0
-    vvpol(:,:,:,li:ui)=0.0
-    ww(:,:,:,li:ui)=0.
-    tt(:,:,:,li:ui)=300.
-    rho(:,:,:,li:ui)=1.3
-    drhodz(:,:,:,li:ui)=.0
-    tth(:,:,:,li:ui)=0.0
-    qvh(:,:,:,li:ui)=1.0
-    qv(:,:,:,li:ui)=1.0
-
-    pv(:,:,:,li:ui)=1.0
-    clouds(:,:,:,li:ui)=0
-
-    clwc(:,:,:,li:ui)=0.0
-    ciwc(:,:,:,li:ui)=0.0
-  
-! 2D fields
-
-    cloudsh(:,:,li:ui)=0
-    vdep(:,:,:,li:ui)=0.0
-    ps(:,:,:,li:ui)=1.0e5
-    sd(:,:,:,li:ui)=0.0
-    tcc(:,:,:,li:ui)=0.0
-    tt2(:,:,:,li:ui)=300.
-    td2(:,:,:,li:ui)=250.
-    lsprec(:,:,:,li:ui)=0.0
-    convprec(:,:,:,li:ui)=0.0
-    ustar(:,:,:,li:ui)=1.0
-    wstar(:,:,:,li:ui)=1.0
-    hmix(:,:,:,li:ui)=10000.
-    tropopause(:,:,:,li:ui)=10000.
-    oli(:,:,:,li:ui)=0.01
- 
-  end subroutine set_fields_synthetic
-
 end module mpi_mod
Index: src/timemanager_mpi.f90
===================================================================
--- src/timemanager_mpi.f90	(revision 3b80e9858bae10a9d9465d523f0b2997940c2a0f)
+++ src/timemanager_mpi.f90	(revision 0f7835d03c332f5ff00577f23b0a0d791e42b9dc)
@@ -275,10 +275,4 @@
     if (mp_measure_time.and..not.(lmpreader.and.lmp_use_reader)) call mpif_mtime('getfields',1)
 
-! For validation and tests: call the function below to set all fields to simple
-! homogeneous values
-!    if (mp_dev_mode) call set_fields_synthetic
-
-!*******************************************************************************
-
     if (lmpreader.and.nstop1.gt.1) stop 'NO METEO FIELDS AVAILABLE'
 