Index: options/COMMAND
===================================================================
--- options/COMMAND	(revision 2bfec12f6b20cf82945e29db25a9b62431124ca5)
+++ options/COMMAND	(revision 79996be9fcfb6fb924aa6f67d27d422820decb2f)
@@ -1,31 +1,37 @@
+***************************************************************************************************************
+*                                                                                                             *
+*      Input file for the Lagrangian particle dispersion model FLEXPART                                       *
+*                           Please select your options                                                        *
+*                                                                                                             *
+***************************************************************************************************************
 &COMMAND
- LDIRECT=            	1,
- IBDATE=         20170102,
- IBTIME=           060000,
- IEDATE=         20170102,
- IETIME=           120000,
- LOUTSTEP=           3600,
- LOUTAVER=           3600,
- LOUTSAMPLE=          900,
- ITSPLIT=        99999999,
- LSYNCTIME=           900,
- CTL=          -5.0000000,
- IFINE=          	4,
- IOUT=    		1,
- IPOUT=          	0,
- LSUBGRID=          	0,
- LCONVECTION=          	0,
- LAGESPECTRA=          	0,
- IPIN=          	0,
- IOUTPUTFOREACHRELEASE= 0,
- IFLUX=          	0,
- MDOMAINFILL=          	0,
- IND_SOURCE=          	1,
- IND_RECEPTOR=          1,
- MQUASILAG=          	0,
- NESTED_OUTPUT=         0,
- LINIT_COND=          	0,
- SURF_ONLY=          	0,
- CBLFLAG=          	0,
- OHFIELDS_PATH= "../../flexin/",
+ LDIRECT=               1, ! Simulation direction in time   ; 1 (forward) or -1 (backward)
+ IBDATE=         20120101, ! Start date of the simulation   ; YYYYMMDD: YYYY=year, MM=month, DD=day  
+ IBTIME=           060000, ! Start time of the simulation   ; HHMISS: HH=hours, MI=min, SS=sec; UTC
+ IEDATE=         20120101, ! End date of the simulation     ; same format as IBDATE 
+ IETIME=           120000, ! End  time of the simulation    ; same format as IBTIME
+ LOUTSTEP=           3600, ! Interval of model output; average concentrations calculated every LOUTSTEP (s)  
+ LOUTAVER=           3600, ! Interval of output averaging (s)
+ LOUTSAMPLE=          900, ! Interval of output sampling  (s), higher stat. accuracy with shorter intervals
+ ITSPLIT=        99999999, ! Interval of particle splitting (s) 
+ LSYNCTIME=           900, ! All processes are synchronized to this time interval (s)
+ CTL=          -5.0000000, ! CTL>1, ABL time step = (Lagrangian timescale (TL))/CTL, uses LSYNCTIME if CTL<0
+ IFINE=                 4, ! Reduction for time step in vertical transport, used only if CTL>1 
+ IOUT=                  1, ! Output type: [1]mass 2]pptv 3]1&2 4]plume 5]1&4, +8 for NetCDF output     
+ IPOUT=                 0, ! Particle position output: 0]no 1]every output 2]only at end   
+ LSUBGRID=              0, ! Increase of ABL heights due to sub-grid scale orographic variations;[0]off 1]on 
+ LCONVECTION=          	0, ! Switch for convection parameterization;0]off [1]on    
+ LAGESPECTRA=          	0, ! Switch for calculation of age spectra (needs AGECLASSES);[0]off 1]on  
+ IPIN=                  0, ! Warm start from particle dump (needs previous partposit_end file); [0]no 1]yes  
+ IOUTPUTFOREACHRELEASE= 0, ! Separate output fields for each release in the RELEASE file; [0]no 1]yes 
+ IFLUX=                 0, ! Output of mass fluxes through output grid box boundaries
+ MDOMAINFILL=          	0, ! Switch for domain-filling, if limited-area particles generated at boundary
+ IND_SOURCE=            1, ! Unit at source  ;  [1]mass 2]mass mixing ratio 
+ IND_RECEPTOR=          1, ! Unit at receptor;  [1]mass 2]mass mixing ratio 3] wet depo. 4] dry depo.
+ MQUASILAG=             0, ! Quasi-Lagrangian mode to track individual numbered particles 
+ NESTED_OUTPUT=         1, ! Output also for a nested domain 
+ LINIT_COND=            0, ! Output sensitivity to initial conditions (bkw mode only) [0]off 1]conc 2]mmr 
+ SURF_ONLY=             0, ! Output only for the lowest model layer, used with LINIT_COND>0
+ CBLFLAG=               0, ! Skewed, not Gaussian turbulence in the convective ABL, need large CTL and IFINE
+ OHFIELDS_PATH= "../../flexin/", ! Default path for OH file
  /
Index: options/RELEASES
===================================================================
--- options/RELEASES	(revision 5b7ec801f3cb23f32a5ca6abfb0b78af673d7519)
+++ options/RELEASES	(revision 79996be9fcfb6fb924aa6f67d27d422820decb2f)
@@ -1,20 +1,46 @@
+***************************************************************************************************************
+*                                                                                                             *
+*                                                                                                             *
+*                                                                                                             *
+*   Input file for the Lagrangian particle dispersion model FLEXPART                                          *
+*                        Please select your options                                                           *
+*                                                                                                             *
+*                                                                                                             *
+*                                                                                                             *
+***************************************************************************************************************
 &RELEASES_CTRL
- NSPEC=          1,
- SPECNUM_REL=        24,
+ NSPEC      =           1, ! Total number of species
+ SPECNUM_REL=          24, ! Species numbers in directory SPECIES
  /
-&RELEASE
- IDATE1=   20170102,
- ITIME1=     090000,
- IDATE2=   20170102,
- ITIME2=     090000,
- LON1=    0.000    ,
- LON2=    0.000    ,
- LAT1=   0.000    ,
- LAT2=   0.000    ,
- Z1=    50.000       ,
- Z2=    50.000       ,
- ZKIND=     1,
- MASS=  1.0000E8    ,
- PARTS=   10000 
- COMMENT="TEST1",
+&RELEASE                   ! For each release 
+ IDATE1  =       20120101, ! Release start date, YYYYMMDD: YYYY=year, MM=month, DD=day
+ ITIME1  =         090000, ! Release start time in UTC HHMISS: HH hours, MI=minutes, SS=seconds
+ IDATE2  =       20120101, ! Release end date, same as IDATE1
+ ITIME2  =         090000, ! Release end time, same as ITIME1
+ LON1    =          0.000, ! Left longitude of release box -180 < LON1 <180
+ LON2    =          0.000, ! Right longitude of release box, same as LON1
+ LAT1    =         20.000, ! Lower latitude of release box, -90 < LAT1 < 90
+ LAT2    =         20.000, ! Upper latitude of release box same format as LAT1 
+ Z1      =         50.000, ! Lower height of release box meters/hPa above reference level
+ Z2      =         50.000, ! Upper height of release box meters/hPa above reference level
+ ZKIND   =              1, ! Reference level 1=above ground, 2=above sea level, 3 for pressure in hPa
+ MASS    =       1.0000E8, ! Total mass emitted, only relevant for fwd simulations
+ PARTS   =          10000, ! Total number of particles to be released
+ COMMENT =    "RELEASE 1", ! Comment, written in the outputfile
  /
+ &RELEASE
+ IDATE1  =       20120101,
+ ITIME1  =         090000,
+ IDATE2  =       20120101,
+ ITIME2  =         090000,
+ LON1    =          0.000,
+ LON2    =          0.000,
+ LAT1    =         20.000,
+ LAT2    =         20.000,
+ Z1      =        100.000,
+ Z2      =        100.000,
+ ZKIND   =              1,
+ MASS    =       1.0000E8,
+ PARTS   =          10000, 
+ COMMENT =    "RELEASE 2",
+ /
Index: options/SPECIES/SPECIES_008
===================================================================
--- options/SPECIES/SPECIES_008	(revision 79996be9fcfb6fb924aa6f67d27d422820decb2f)
+++ options/SPECIES/SPECIES_008	(revision 79996be9fcfb6fb924aa6f67d27d422820decb2f)
@@ -0,0 +1,25 @@
+&SPECIES_PARAMS
+ PSPECIES="NO2",              ! Tracer name
+ PDECAY=-9.9,                 ! Species half life
+ PWETA_GAS=1.0E-05,           ! Below-cloud scavenging (gases) - A (weta_gas)
+ PWETB_GAS=0.62,              ! Below-cloud scavenging (gases) - B (wetb_gas)
+ PCRAIN_AERO=-9.9,            ! Below-cloud scavenging (particles) - Crain (crain_aero)
+ PCSNOW_AERO=-9.9,            ! Below-cloud scavenging (particles) - Csnow (csnow_aero)
+ PCCN_AERO=-9.9,              ! In-cloud scavenging (particles) - CCNeff (ccn_aero)
+ PIN_AERO=-9.9,               ! In-cloud scavenging (particles) - INeff (in_aero)
+ PDENSITY=-0.9E9,             ! Dry deposition (particles) - rho
+ PDQUER=0.0,                  ! Dry deposition (particles) - dquer
+ PDSIGMA=0.0,                 ! Dry deposition (particles) - dsig
+ PDRYVEL=-9.99,               ! Alternative: dry deposition velocity
+ PRELDIFF=1.6,                ! Dry deposition (gases) - D
+ PHENRY=1.0E-02,              ! Dry deposition (gases) - Henrys const.
+ PF0=0.1,                     ! Dry deposition (gases) - f0 (reactivity)
+ PWEIGHTMOLAR=46.0,           ! molweight
+ POHCCONST=-0.9E9,            ! OH Reaction rate - C [cm^3/molecule/sec]
+ POHDCONST=-9.9,              ! OH Reaction rate - D [K]
+ POHNCONST=2.0,               !  OH Reaction rate -  N (no unit)
+ PAREA_HOUR=0.578, 0.491, 0.428, 0.329, 0.384, 0.485, 0.763, 1.103, 1.084, 1.047, 1.096, 1.196, 1.298, 1.357, 1.447, 1.565, 1.636, 1.662, 1.401, 1.168, 1.031, 0.926, 0.816, 0.709,
+ PPOINT_HOUR=0.845, 0.806, 0.786, 0.779, 0.793, 0.832, 0.895, 0.977, 1.031, 1.071, 1.105, 1.118, 1.131, 1.136, 1.143, 1.141, 1.133, 1.118, 1.097, 1.091, 1.079, 1.036, 0.966, 0.892,
+ PAREA_DOW=1.060, 1.060, 1.060, 1.060, 1.060, 0.900, 0.000,
+ PPOINT_DOW=1.000, 1.000, 1.000, 1.000, 1.000, 1.000, 1.000,
+ /