Index: .gitignore
===================================================================
--- .gitignore	(revision 072cbea6e46956af6df4c8a1e5e1152e84b0ea91)
+++ .gitignore	(revision 98f09d237858cef9d8e0b0451f00238fa91add99)
@@ -10,5 +10,5 @@
 #
 # @Licence:
-#    (C) Copyright 2014-2019.
+#    (C) Copyright 2014-2020.
 #
 #    SPDX-License-Identifier: CC-BY-4.0
@@ -30,40 +30,14 @@
 Run/Workspace/*
 Run/Jobscripts/*sh
-Test/Installation/Convert/VERTICAL.EC
-Test/Installation/Convert/fort.15
+Testing/Installation/Calc_etadot/VERTICAL.EC
+Testing/Installation/Calc_etadot/fort.15
 For_developers/Sphinx/build_temp
 
 # Temporary ignorance of files!!!!
-Source/Fortran/Makefile.ecgate
-Source/Fortran/Makefile.local.gfortran.gw74
-Run/Control/Testgrid/
-Run/Control/notPublic/
-setup_local.sh
-Run/run.sh
-Run/run_local.sh
-setup.sh
+*anne.sh
+Run/*anne.sh
 Source/Fortran/pycallgraph.png
 Source/Python/pylint_report_7.1.txt
 Source/.metrics
-For_developers/sphinx-fortran/
-
-
-For_developers/GUIDE.odt
-For_developers/COMMANDS
-For_developers/class_diagram
-For_developers/classes.dot
-For_developers/classes.png
-For_developers/gen_docu.sh
-For_developers/mk_pdf2png.sh
-For_developers/packages.dot
-For_developers/packages.png
-For_developers/Testcases.txt
-For_developers/Metriken.txt
-For_developers/FE_testing.txt
-For_developers/Liste_FE_Functions_Testcoverage.xlsx
-
-
-
-
 
 Emoslib
Index: Run/run.sh
===================================================================
--- Run/run.sh	(revision 3a544793fefbd7ac797a61dfa1fe4885bccaae2b)
+++ Run/run.sh	(revision 98f09d237858cef9d8e0b0451f00238fa91add99)
@@ -12,5 +12,5 @@
 #
 # @Licence:
-#    (C) Copyright 2014-2019.
+#    (C) Copyright 2014-2020.
 #
 #    SPDX-License-Identifier: CC-BY-4.0
Index: Run/run_local.sh
===================================================================
--- Run/run_local.sh	(revision 98f09d237858cef9d8e0b0451f00238fa91add99)
+++ Run/run_local.sh	(revision 98f09d237858cef9d8e0b0451f00238fa91add99)
@@ -0,0 +1,121 @@
+#!/bin/bash
+#
+# @Author: Anne Philipp
+#
+# @Date: October, 4 2018
+#
+# @Description: 
+#    This script defines the available command-line parameters
+#    for running flex_extract and combines them for the execution  
+#    of the Python program. It also does some checks to 
+#    guarantee necessary parameters were set and consistent.
+#
+# @Licence:
+#    (C) Copyright 2014-2019.
+#
+#    SPDX-License-Identifier: CC-BY-4.0
+#
+#    This work is licensed under the Creative Commons Attribution 4.0
+#    International License. To view a copy of this license, visit
+#    http://creativecommons.org/licenses/by/4.0/ or send a letter to
+#    Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.
+#
+# -----------------------------------------------------------------
+# AVAILABLE COMMANDLINE ARGUMENTS TO SET
+# 
+# THE USER HAS TO SPECIFY THESE PARAMETERS:
+
+QUEUE=None
+START_DATE=None
+END_DATE=None
+DATE_CHUNK=None
+JOB_CHUNK=3
+BASETIME=None
+STEP=None
+LEVELIST=None
+AREA=None
+INPUTDIR='Workspace/CERA'
+OUTPUTDIR='Workspace/CERA'
+PP_ID=None
+JOB_TEMPLATE=None
+CONTROLFILE='CONTROL_CERA'
+DEBUG=0
+REQUEST=2
+PUBLIC=0
+
+# -----------------------------------------------------------------
+#
+# AFTER THIS LINE THE USER DOES NOT HAVE TO CHANGE ANYTHING !!!
+#
+# -----------------------------------------------------------------
+
+# PATH TO SUBMISSION SCRIPT
+pyscript=../Source/Python/submit.py
+
+# INITIALIZE EMPTY PARAMETERLIST
+parameterlist=""
+
+# CHECK IF ON ECMWF SERVER; 
+if [[ $HOST == *"ecgb"* ]] || [[ $HOST == *"cca"* ]] || [[ $HOST == *"ccb"* ]]; then
+# LOAD PYTHON3 MODULE
+  module load python3
+fi 
+
+# CHECK FOR MORE PARAMETER 
+if [ -n "$START_DATE" ]; then
+  parameterlist+=" --start_date=$START_DATE"
+fi
+if [ -n "$END_DATE" ]; then
+  parameterlist+=" --end_date=$END_DATE"
+fi
+if [ -n "$DATE_CHUNK" ]; then
+  parameterlist+=" --date_chunk=$DATE_CHUNK"
+fi
+if [ -n "$JOB_CHUNK" ]; then
+  parameterlist+=" --job_chunk=$JOB_CHUNK"
+fi
+if [ -n "$BASETIME" ]; then
+  parameterlist+=" --basetime=$BASETIME"
+fi
+if [ -n "$STEP" ]; then
+  parameterlist+=" --step=$STEP"
+fi
+if [ -n "$LEVELIST" ]; then
+  parameterlist+=" --levelist=$LEVELIST"
+fi
+if [ -n "$AREA" ]; then
+  parameterlist+=" --area=$AREA"
+fi
+if [ -n "$INPUTDIR" ]; then
+  parameterlist+=" --inputdir=$INPUTDIR"
+fi
+if [ -n "$OUTPUTDIR" ]; then
+  parameterlist+=" --outputdir=$OUTPUTDIR"
+fi
+if [ -n "$PP_ID" ]; then
+  parameterlist+=" --ppid=$PP_ID"
+fi
+if [ -n "$JOB_TEMPLATE" ]; then
+  parameterlist+=" --job_template=$JOB_TEMPLATE"
+fi
+if [ -n "$QUEUE" ]; then
+  parameterlist+=" --queue=$QUEUE"
+fi
+if [ -n "$CONTROLFILE" ]; then
+  parameterlist+=" --controlfile=$CONTROLFILE"
+fi
+if [ -n "$DEBUG" ]; then
+  parameterlist+=" --debug=$DEBUG"
+fi
+if [ -n "$REQUEST" ]; then
+  parameterlist+=" --request=$REQUEST"
+fi
+if [ -n "$PUBLIC" ]; then
+  parameterlist+=" --public=$PUBLIC"
+fi
+
+# -----------------------------------------------------------------
+# CALL SCRIPT WITH DETERMINED COMMANDLINE ARGUMENTS
+
+$pyscript $parameterlist
+
Index: Source/Python/_config.py
===================================================================
--- Source/Python/_config.py	(revision a916e8fbcb024e1f917a18325ee73c903076225c)
+++ Source/Python/_config.py	(revision 98f09d237858cef9d8e0b0451f00238fa91add99)
@@ -38,5 +38,5 @@
 # ------------------------------------------------------------------------------
 
-_VERSION_STR = '7.1.1'
+_VERSION_STR = '7.1.2'
 
 FLAG_ON_ECMWFSERVER = 'ecgb' in platform.node()
Index: Templates/installscript.template
===================================================================
--- Templates/installscript.template	(revision None)
+++ Templates/installscript.template	(revision 98f09d237858cef9d8e0b0451f00238fa91add99)
@@ -29,9 +29,7 @@
   *ecg*)
   module unload grib_api
-  module unload eccodes
-  module unload python
   module unload emos
-  module load python3/3.6.8-01
-  module load eccodes/2.13.0
+  module load python3
+  module load eccodes
   module load emos/455-r64
   export FLEXPART_ROOT_SCRIPTS=$fp_root_scripts
@@ -39,8 +37,7 @@
   ;;
   *cca*)
-  module unload python
   module switch PrgEnv-cray PrgEnv-intel
   module load python3
-  module load eccodes/2.13.0
+  module load eccodes
   module load emos/455-r64
   echo $${GROUP}
Index: Templates/jobscript.template
===================================================================
--- Templates/jobscript.template	(revision a916e8fbcb024e1f917a18325ee73c903076225c)
+++ Templates/jobscript.template	(revision 98f09d237858cef9d8e0b0451f00238fa91add99)
@@ -29,17 +29,14 @@
   *ecg*)
   module unload grib_api
-  module unload eccodes
-  module unload python
   module unload emos
-  module load python3/3.6.8-01
-  module load eccodes/2.13.0
+  module load python3
+  module load eccodes
   module load emos/455-r64
   export PATH=$$$${PATH}:$fp_root_path
   ;;
   *cca*)
-  module unload python
   module switch PrgEnv-cray PrgEnv-intel
   module load python3
-  module load eccodes/2.13.0
+  module load eccodes
   module load emos/455-r64
   export SCRATCH=$$$${TMPDIR}
Index: setup_local.sh
===================================================================
--- setup_local.sh	(revision 98f09d237858cef9d8e0b0451f00238fa91add99)
+++ setup_local.sh	(revision 98f09d237858cef9d8e0b0451f00238fa91add99)
@@ -0,0 +1,92 @@
+#!/bin/bash
+#
+# @Author: Anne Philipp
+#
+# @Date: September, 10 2018
+#
+# @Description: 
+#    This file defines the flex_extract's available installation
+#    parameters and puts them together for the call of the actual 
+#    python installation script. It also does some checks to 
+#    guarantee necessary parameters were set.
+#
+# @Licence:
+#    (C) Copyright 2014-2020.
+#
+#    SPDX-License-Identifier: CC-BY-4.0
+#
+#    This work is licensed under the Creative Commons Attribution 4.0
+#    International License. To view a copy of this license, visit
+#    http://creativecommons.org/licenses/by/4.0/ or send a letter to
+#    Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.
+#
+# -----------------------------------------------------------------
+# AVAILABLE COMMANDLINE ARGUMENTS TO SET
+#
+# THE USER HAS TO SPECIFY THESE PARAMETERS
+#
+TARGET='local'
+MAKEFILE='makefile_local_gfortran'
+ECUID='<username>'
+ECGID='<groupID>'
+GATEWAY='<gatewayname>'
+DESTINATION='<name>@genericSftp'
+INSTALLDIR=None
+JOB_TEMPLATE=''
+CONTROLFILE='CONTROL_CERA'
+# -----------------------------------------------------------------
+#
+# AFTER THIS LINE THE USER DOES NOT HAVE TO CHANGE ANYTHING !!!
+#
+# -----------------------------------------------------------------
+
+# PATH TO INSTALLATION SCRIPT
+script="Source/Python/install.py"
+
+# INITIALIZE EMPTY PARAMETERLIST
+parameterlist=""
+
+# CHECK IF ON ECMWF SERVER; 
+if [[ $HOST == *"ecgb"* ]] || [[ $HOST == *"cca"* ]] || [[ $HOST == *"ccb"* ]]; then
+# LOAD PYTHON3 MODULE
+  module load python3
+fi 
+
+# DEFAULT PARAMETERLIST
+if [ -n "$TARGET" ]; then
+  parameterlist=" --target=$TARGET"
+else
+  echo "ERROR: No installation target specified."
+  echo "EXIT WITH ERROR"
+  exit
+fi
+
+# CHECK FOR MORE PARAMETER 
+if [ "$TARGET" == "ecgate" ] || [ "$TARGET" == "cca" ]; then
+  # check if necessary Parameters are set
+  if [ -z "$ECUID" ] || [ -z "$ECGID" ] || [ -z "$GATEWAY" ] || [ -z "$DESTINATION" ]; then
+    echo "ERROR: At least one of the following parameters are not set: ECUID, ECGID, GATEWAY, DESTINATION!"
+    echo "EXIT WITH ERROR"
+    exit
+  else
+    parameterlist+=" --ecuid=$ECUID --ecgid=$ECGID --gateway=$GATEWAY --destination=$DESTINATION"
+  fi
+fi
+if [ -n "$MAKEFILE" ]; then
+  parameterlist+=" --makefile=$MAKEFILE"
+fi
+if [ -n "$FLEXPARTDIR" ]; then # not empty
+  parameterlist+=" --flexpartdir=$FLEXPARTDIR"
+fi
+if [ -n "$JOB_TEMPLATE" ]; then
+  parameterlist+=" --job_template=$JOB_TEMPLATE"
+fi
+if [ -n "$CONTROLFILE" ]; then
+  parameterlist+=" --controlfile=$CONTROLFILE"
+fi
+
+# -----------------------------------------------------------------
+# CALL INSTALLATION SCRIPT WITH DETERMINED COMMANDLINE ARGUMENTS
+
+$script $parameterlist
+